<template>
  
    <div class="container ">
        <div class="row  justify-content-center align-items-center ">
                <div class="col-1 col-lg-1">
                    <i  @click="$emit(`setDateMax`,1)" class="bi bi-caret-left text-info display-4"></i>
                  
                </div>
                    <div class="col-6 col-lg-4  text-center">
                        <div class="row justify-content-center">
                            <div class="col-12 col-lg-4 text-center">
                                {{dates[this.week] && dates[this.week].first }} 
                            </div>
                            <div class="col-12 col-lg-1 text-center">
                                -
                            </div>
                            <div class="col-12 col-lg-4 text-center">
                                {{dates[this.week] && dates[this.week].second }}
                            </div>
                            
                        </div>

    
                    </div>
                <div class="col-1 col-lg-1">
                    <i  @click="$emit(`setDateMin`,1)" class="text-info bi bi-caret-right display-4"></i>
                </div>
        </div>
    </div>

</template>

<script>




export default {
    props:['week', 'modal'],
    emits: ['setDateMin' , 'setDateMax', 'modalfunction'],
    data(){
        return{
            dates:'',
            week:this.week,
           
        }
    },
    methods:{
        setUpHeader(){
                axios.get('https://diet.lorenzogiannone.it/api/dates').then((response)=>{
                this.dates = response.data.date;
            });
            },
         
    },
    mounted(){
        this.setUpHeader();
    }
}
</script>

<style>

</style>